%define snapshot 0
%define pre rc

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 0
%endif

%define qtmajor 5
%define qtminor 11
%define qtsubminor 2

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtbluetooth %mklibname qt5bluetooth %qtmajor
%define libqtbluetooth_d %mklibname qt5bluetooth -d

%define libqtnfc %mklibname qt5nfc %qtmajor
%define libqtnfc_d %mklibname qt5nfc -d
%define libqtnfc_p_d %mklibname qt5nfc-private -d

%if %snapshot
%define qttarballdir qtconnectivity-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qtconnectivity-everywhere-src-%{qtversion}
%endif

Name: qtconnectivity5
Version: 5.11.2
Release: %mkrel 1
Summary: Qt Connectivity component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: pkgconfig(Qt5Quick) >= %{version}
BuildRequires: pkgconfig(Qt5Qml) >= %{version}
BuildRequires: pkgconfig(bluez)
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt5 Connectivity component.

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtConnectivity%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtConnectivity5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtbluetooth.qch
%{_qt5_docdir}/qtbluetooth/
%{_qt5_docdir}/qtnfc.qch
%{_qt5_docdir}/qtnfc/
%endif

#------------------------------------------------------------------------------

%package -n qtbluetooth5
Summary: Qt%{qtmajor} Bluetooth Component Library
Group: System/Libraries
Requires: %{libqtbluetooth} = %{version}
Provides: qt5bluetooth = %{version}

%description -n qtbluetooth5
Qt%{qtmajor} Component Library.

The Qt Bluetooth enables connectivity between Bluetooth enabled devices.

%files -n qtbluetooth5
%{_qt5_bindir}/sdpscanner
%{_qt5_qml}/QtBluetooth

#------------------------------------------------------------------------------

%package -n %{libqtbluetooth}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires: bluez

%description -n %{libqtbluetooth}
Qt%{qtmajor} Component Library.

The Qt Bluetooth enables connectivity between Bluetooth enabled devices.

%files -n %{libqtbluetooth}
%{_qt5_libdir}/libQt5Bluetooth.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtbluetooth_d}
Summary: Devel files needed to build apps based on QtBluetooth
Group: Development/KDE and Qt
Requires: %{libqtbluetooth} = %version
Provides: libqtbluetooth5-devel = %version
Provides: libqt5bluetooth-devel = %version
Provides: qtbluetooth5-devel = %version
Provides: qt5bluetooth-devel = %version

Provides: libqtbluetooth5-private-devel = %version
Provides: libqt5bluetooth-private-devel = %version
Provides: qtbluetooth5-private-devel = %version
Provides: qt5bluetooth-private-devel = %version

%description -n %{libqtbluetooth_d}
Devel files needed to build apps based on Qt Bluetooth.

%files -n %{libqtbluetooth_d}
%{_qt5_libdir}/libQt5Bluetooth.prl
%{_qt5_libdir}/libQt5Bluetooth.so
%{_qt5_libdir}/pkgconfig/Qt5Bluetooth.pc
%{_qt5_libdir}/cmake/Qt5Bluetooth
%{_qt5_datadir}/examples/bluetooth
%{_qt5_datadir}/mkspecs/modules/qt_lib_bluetooth.pri
%{_qt5_includedir}/QtBluetooth/
%{_qt5_datadir}/mkspecs/modules/qt_lib_bluetooth_private.pri

#------------------------------------------------------------------------------

%package -n qtnfc5
Summary: Qt%{qtmajor} Nfc Component Library
Group: System/Libraries
Requires: %{libqtnfc} = %{version}
Provides: qt5nfc = %{version}

%description -n qtnfc5
Qt%{qtmajor} Component Library.

The Qt Nfc Enables connectivity between NFC enabled devices.

%files -n qtnfc5
%{_qt5_qml}/QtNfc

#------------------------------------------------------------------------------

%package -n %{libqtnfc}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtnfc}
Qt%{qtmajor} Component Library.

The Qt Nfc Enables connectivity between NFC enabled devices.

%files -n %{libqtnfc}
%{_qt5_libdir}/libQt5Nfc.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtnfc_d}
Summary: Devel files needed to build apps based on QtNfc
Group: Development/KDE and Qt
Requires: %{libqtnfc} = %version
Provides: libqtnfc5-devel = %version
Provides: libqt5nfc-devel = %version
Provides: qtnfc5-devel = %version
Provides: qt5nfc-devel = %version

Provides: libqtnfc5-private-devel = %version
Provides: libqt5nfc-private-devel = %version
Provides: qtnfc5-private-devel = %version
Provides: qt5nfc-private-devel = %version

%description -n %{libqtnfc_d}
Devel files needed to build apps based on Qt Nfc.

%files -n %{libqtnfc_d}
%{_qt5_libdir}/libQt5Nfc.prl
%{_qt5_libdir}/libQt5Nfc.so
%{_qt5_libdir}/pkgconfig/Qt5Nfc.pc
%{_qt5_libdir}/cmake/Qt5Nfc
%{_qt5_datadir}/examples/nfc
%{_qt5_datadir}/mkspecs/modules/qt_lib_nfc.pri
%{_qt5_includedir}/QtNfc/
%{_qt5_datadir}/mkspecs/modules/qt_lib_nfc_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n qtconnectivity-everywhere-src-%{qtversion}

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Thu Oct 11 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
